Subject: Re: [doc]playing with git, and netdev/libata-dev trees

From: Frank Sorenson <[email-masked]>
Date: Thu, 26 May 2005 02:19:22 -0600

Jeff Garzik wrote:
> Hopefully, this email can quick-start some people on git.

I think the quick-start is great.  Definitely needed to get people
up-to-speed with git.

> 1) installing git
> 
> git requires bootstrapping, since you must have git installed in order
> to check out git.git (git repo), and linux-2.6.git (kernel repo).  I
> have put together a bootstrap tarball of today's git repository.
> 
> Download tarball from:
> http://www.kernel.org/pub/linux/kernel/people/jgarzik/git-20050526.tar.bz2

A tarball of git will work, but it's a big bootstrap, and will need
periodic updating.

I'm curious whether we couldn't make a git-bootstrap that contained a
significantly stripped-down version that did nothing other than
bootstrap git.  A single program/file (perl script perhaps?) that...

mkdir git
cd git
rsync -rl rsync://rsync.kernel.org/pub/scm/git/git.git/ .git
echo rsync://rsync.kernel.org/pub/scm/git/git.git > .git/branches/origin
beginning with .git/HEAD, start extracting files

...and nothing more.  Then, we could tell people to just download
git-bootstrap and run it to create an up-to-date git repo.

Frank
- --
Frank Sorenson - KD7TZK
Systems Manager, Computer Science Department
Brigham Young University
[email-masked]